Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface Bag

All Superinterfaces:
  Container, FrontsNode, RDFNode, Resource

    public interface Bag

extends Container

An RDF Bag container.

This interface defines methods for accessing RDF Bag resources. These methods operate on the RDF statements contained in a model. The Bag implementation may cache state from the underlying model, so objects should not be added to or removed a the Bag by directly manipulating its properties, whilst the Bag is being accessed through this interface.

When a member is deleted from a Bag using this interface, or an iterator returned through this interface, all the other members with higher ordinals are renumbered using an implementation dependendent algorithm.

Version:
  Release='$Name: $' Revision='$Revision: 1.10 $' Date='$Date: 2008/01/02 12:05:47 $'
Author:
  bwm

Method Summary
`Container` | `remove(Statement s)` Remove a value from the container.

Methods inherited from interface com.hp.hpl.jena.rdf.model.Container
`add, add, add, add, add, add, add, add, add, contains, contains, contains, contains, contains, contains, contains, contains, contains, isAlt, isBag, isSeq, iterator, size`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### remove

    Container remove(Statement s)

  Remove a value from the container.

  The predicate of the statement `s` identifies the ordinal of the value to be removed. Once removed, the values in the container with a higher ordinal value are renumbered. The renumbering algorithm is implementation dependent.

  Specified by:
    `remove` in interface `Container`
  Parameters:
    `s` - The statement to be removed from the model.
  Returns:
    this container to enable cascading calls.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP